Skip to navigation

Update Business Unit

View as Markdown
Partner Restricted

All background check API endpoints are restricted to background check providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.

Summary Description

This is used to update an already registered package businessUnit’s details by companyId and specific businessUnitId for a given client

Use Cases

  • Partner wants to update the details of a specific package businessUnit for a client

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

businessUnitIdstringRequired
Business unit identifier.

Headers

testModebooleanOptional
If true all responses are mocked and generated randomly
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Request

Request payload for this operation. See the official endpoint documentation for required fields and allowable values.

Response

Successful response

Errors

401
Unauthorized Error